﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.WinControls.Layouts;

namespace RadPanelBarDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            RadPanelBar panelBar = new RadPanelBar();
            panelBar.Dock = DockStyle.Fill;

            this.Controls.Add(panelBar);
            RadScrollViewer scrollViewer = new RadScrollViewer();
            for (int i = 0; i < 3; i++ )
            {
                RadPanelBarGroupElement group = new RadPanelBarGroupElement();
                group.Caption = "Group" + i;
                panelBar.Items.Add(group);

                if (i == 0)
                {
                    group.Items.Add(scrollViewer);
                }
            }

            StackLayoutPanel layout = new StackLayoutPanel();
            layout.Orientation = Orientation.Vertical;

            for (int i = 0; i < 50; i++)
            {
                RadButtonElement button = new RadButtonElement("Button" + i);
                layout.Children.Add(button);
            }

            scrollViewer.Viewport = layout;
            scrollViewer.StretchVertically = true;       
        }
    }
}
